PDA

View Full Version : upgraded to 3.0, but problem with wizzard extension



phpfreak
9 Aug 2009, 8:21 AM
Hi all , upgraded to 3.0. ,
all working fine but it seems that with the wizzard extension ,
after selecting a value in a combo for example in a step , the "next" button will remain disabled.

Any ideas or suggestions where to take a look to fix it ?

mjlecomte
9 Aug 2009, 6:07 PM
Can you be more specific with a link to extension, sample code, screenshots, etc?

phpfreak
10 Aug 2009, 1:18 AM
The link to the extension is this one:

http://extjs.com/forum/showthread.php?t=36627

i applied this patch but no go ,
what do i need to do , i also modified cardlayout.js from widgets/card


Index: CardLayout.js
===================================================================
--- CardLayout.js (revision 501)
+++ CardLayout.js (working copy)
@@ -2,7 +2,7 @@
* Ext JS Library 3.0 Pre-alpha
* Copyright(c) 2006-2008, Ext JS, LLC.
* [email protected]
- *
+ *
* http://extjs.com/license
*/

@@ -80,7 +80,7 @@
* true might improve performance.
*/
deferredRender : false,
-
+
/**
* @cfg {Boolean} layoutOnCardChange
* True to force a layout of the active item when the active card is changed.
@@ -100,6 +100,12 @@
if(this.activeItem){
this.activeItem.hide();
}
+ // check if the beforehide method allowed to
+ // hide the current item
+ if (this.activeItem && !this.activeItem.hidden) {
+ return;
+ }
+
this.activeItem = item;
item.show();
this.container.doLayout();